using System;
using System.IO;

namespace Earthblend.Tts.Common.Core.Extentions
{
    public static partial class UniqueExtensions
    {
        public static String ReadFile(this String fullPath)
        {
            if (!System.IO.File.Exists(fullPath)) return String.Empty;
            try
            {
                StreamReader streamReader = new StreamReader(fullPath);
                var fileContent = streamReader.ReadToEnd();
                streamReader.Close();
                streamReader.Dispose();
                streamReader = null;
                return fileContent;
            }
            catch (System.IO.IOException ex)
            {
                String msg = ex.Message;

            }

            return String.Empty;
        }
    }
}
